#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		apivers		1.0
#-----------------------------------------------------------------------------
Name		:	cairomm
Version		:	1.14.4
Release		:	14.4.0.0%{?dist}
Summary		:	Library to provides a C++ interface to Cairo. 
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.cairographics.org/releases

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	mm-common
BuildRequires	:	doxygen
BuildRequires	:	graphviz

Provides	:	%{name}%{apiver}	=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description
'%{name}' is a C++ wrapper for the cairo graphics library.
It offers all the power of cairo with an interface familiar
to C++ developers, including use of the Standard Template
Library where it makes sense.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_libdir}/lib%{name}-%{apivers}.so.1*

#=============================================================================
%package		devel

Summary		:	Development files for %{sname}%{apiver}

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

Provides	:	%{name}%{apiver}-devel	=  %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains
libraries and header files for developing
applications that use %{name}
 
The API/ABI version series is %{apiver}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-%{apivers}/%{name}/*.h
%{_libdir}/%{name}-%{apivers}/include/%{name}config.h
%{_libdir}/lib%{name}-%{apivers}.so
%{_libdir}/pkgconfig/%{name}-*%{apivers}.pc

#=============================================================================
%package		doc

Summary		:	Documentation for %{name}

#-----------------------------------------------------------------------------
BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Documenatation for %{name} can be viewed through
the devhelp documentation browser.

The API/ABI version series is %{apiver}.

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root, -)
%license COPYING
%{_datadir}/devhelp/books/%{name}-%{apivers}/%{name}-%{apivers}.devhelp2
%{_defaultdocdir}/%{name}-%{apivers}/reference/html/*
%{_defaultdocdir}/%{name}-%{apivers}/reference/%{name}-%{apivers}.tag


#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-D maintainer-mode=true				\
	-D build-documentation=true			\
	-D build-examples=false				\
	-D build-tests=true				\
	-D boost-shared=true				\
	-D warnings=max					\
	_bld
meson							\
	compile						\
		-C _bld					\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

meson							\
	install						\
		-C _bld					\
		--destdir=%{buildroot}			\

#-----------------------------------------------------------------------------
%changelog
